<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\HonorarBescheinigung\HonorarBescheinigungDialog;

class HonorarBescheinigungDialogUseCase extends \Kufer\KuferTools\Basis\UseCase\ToolUseCase
{
  public function __construct($request)
  {
    parent::__construct($request, new HonorarBescheinigungDialogResponse());
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ;
  }

  public static function getToolSectionId()
  {
    return 320;
  }

  public function hasAccess($pToolSectionId = null)
  {
    if (!parent::hasAccess()) {
      return false;
    }
    if (!\DBWorkBASysSettings::isGlindeVhs()) {
      return false;
    }

    return true;
  }

  public function action()
  {
    $this->response->jahrOptionen = $this->getJahrOptionen();

    return $this->response;
  }

  protected function getJahrOptionen()
  {
    $currentYear = \DateTimeOperations::getYear(\DateTimeOperations::getDateNow());

    $optionen = '';
    for ($i = 1; $i <= 3; $i++) {
      $year = $currentYear - $i;
      $selected = $i === 1;
      $optionen .= \HTMLOperations::createOptionTag($year, $year, $selected);
    }

    return $optionen;
  }
}

class HonorarBescheinigungDialogRequest
{
  public $jahr;
}

class HonorarBescheinigungDialogResponse extends \Kufer\KuferTools\Basis\UseCase\ToolResponse
{
  public $jahrOptionen;
}